// required start
@import 'custom';
@import '~bootstrap/scss/functions';
@import '~bootstrap/scss/variables';
@import '~bootstrap/scss/mixins';
// required end
@import "stresstest/button";
@import "stresstest/images";
@import "stresstest/general";
@import "stresstest/modal";
@import "stresstest/override";

body {
    background-color: #E8F7FF;
    background: radial-gradient(62.13% 28.69% at 47.47% 31.96%, #FFFFFF 0%, rgba(255, 255, 255, 0) 100%), #E8F7FF;
}

.lct {
    &__stress_test {
        background-image: url(../images/stresstest/orn-cloud-2.png);
        background-position: 50% 100%;
        background-repeat: no-repeat;
        background-size: auto 100px;

        &__outer {
            .container {
                background-image: url(../images/stresstest/orn-profile-mobile.png);
                background-position: 50% 10%;
                background-repeat: no-repeat;
                background-size: 100% auto;
            }
        }

        &__column {
            picture {
                margin-left: auto;
                margin-right: auto;

                &.logo {
                    &__main {
                        max-width: 200px;
                    }
                }
            }

            .profile--wrapper {
                margin: 1rem auto 4rem;

                h1 {
                    margin-bottom: 14px;
                    font-size: 14px;
                    font-weight: bold;
                    letter-spacing: .5px;
                    color: #348CD5;
                }

                .profile-list {
                    margin-bottom: 1rem;
                    background-color: #fff;
                    border: 1px solid #f2f2f2;
                    border-radius: 30px;
                    box-shadow: 0px 3px 20px -5px rgba(103, 151, 179, 0.35);

                    .dropdown-toggle {
                        width: 100%;
                        text-transform: none;
                        font-weight: 300;
                        letter-spacing: .5px;
                        color: #003DA6;
                        outline: none;
                        box-shadow: none;

                        svg {
                            width: 16px;
                            height: 10px;
                            fill: transparent;
                            transform: rotate(0);
                            transform-origin: center;
                            transition: transform 200ms ease-in-out;
                        }

                        &:after {
                            content: none;
                        }
                    }

                    .dropdown-menu {
                        margin-top: -1px;
                        padding: 0;
                        border: none;
                        width: 100%;
                        max-height: 200px;
                        border-radius: 0;
                        border-bottom-left-radius: 20px;
                        border-bottom-right-radius: 20px;
                        box-shadow: 0px 3px 20px -5px rgba(103, 151, 179, 0.35);
                        overflow: auto;

                        .dropdown-item {
                            outline: none;
                            box-shadow: none;
                            padding: .75rem 2rem;
                            color: #003DA6;
                        }
                    }

                    &.show {
                        .dropdown-toggle {
                            background-color: #F5F5F5;

                            svg {
                                transform: rotate(180deg);
                            }
                        }
                    }
                }

                .profile-list.show,
                .profile-list.show .dropdown-toggle {
                    border-top-left-radius: 20px;
                    border-top-right-radius: 20px;
                    border-bottom-left-radius: 0;
                    border-bottom-right-radius: 0;
                }

                .btn-add-profile {
                    border: 1px solid #99B7F1;
                    background-color: #E8F7FF;
                    color: #003DA6;
                    text-transform: none;
                    letter-spacing: .5px;

                    span {
                        font-size: 14px;
                    }

                    svg {
                        width: 16px;
                        height: 16px;
                        fill: #003DA6;
                    }

                    &:hover {
                        background-color: darken(#E8F7FF, 5%);
                    }
                }

                .link-test-result {
                    color: #003DA6;
                    font-size: 14px;
                    letter-spacing: .5px;
                    text-decoration: underline;
                    font-weight: bold;
                    transition: color 200ms linear;

                    &:hover {
                        color: darken(#003DA6, 10%);
                    }
                }
            }

            .btn-profile-start {
                width: 100%;
            }

            .form-info--wrapper {
                color: #5A7C8E;
                margin-top: 1.5rem;
        
                h4 {
                    font-size: 14px;
                }
        
                p {
                    margin-bottom: 0;
                    font-size: 10px;
                    letter-spacing: .75px;
                }
            }
        
            @include media-breakpoint-up(lg) {
                .form-info--wrapper {
                    margin-top: 2rem;
                }
            }
        }

        @media screen and (min-width: 375px) and (min-height: 667px){
            &__outer {
                .profile--wrapper {
                    margin: 2rem auto 8rem;
                }
            }
        }
        
        @include media-breakpoint-up(md) {
            background-size: 100% auto;

            &__outer {
                .container {
                    background-image: url(../images/stresstest/orn-profile-desktop.png);
                    background-position: 50%;
                }

                .profile--wrapper {
                    margin: 3rem auto 8rem;
                    max-width: 270px;
                }

                .btn-profile-start {
                    width: 270px;
                }
            }
        }

        @include media-breakpoint-up(xl){
            &__outer {
                .container {
                    background-position: 50% 40%;
                    background-size: 70% auto;
                }
            }
        }
    }
}
